libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_zonedate Struct Reference

Human readable Date and time with timezone information used by libnova. More...

## Data Fields
int | years
int | months
int | days
int | hours
int | minutes
double | seconds
long | gmtoff

## Detailed Description

Human readable Date and time with timezone information used by libnova.

Zone date

This is the Human readable (easy printf) date with timezone format used by libnova.

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

## Field Documentation

int ln_zonedate::days

Days. Valid values 1 - 28,29,30,31 Depends on month.

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().

long ln_zonedate::gmtoff

Timezone offset. Seconds east of UTC. Valid values 0..86400

Examples:
  comet.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().

int ln_zonedate::hours

Hours. Valid values 0 - 23.

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().

int ln_zonedate::minutes

Minutes. Valid values 0 - 59.

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().

int ln_zonedate::months

Months. Valid values : 1 (January) - 12 (December)

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().

double ln_zonedate::seconds

Seconds. Valid values 0 - 59.99999....

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().

int ln_zonedate::years

Years. All values are valid

Examples:
  asteroid.c, comet.c, lunar.c, mars.c, and sun.c.

Referenced by ln_date_to_zonedate(), and ln_zonedate_to_date().